function OMNICONT_draw_tree(NODES)

nboxes = size(NODES,2);

hold off
for ibox = 1:nboxes
  ilevel  = NODES{2,ibox};
  x_left  = NODES{6,ibox};
  x_right = NODES{6,ibox} + NODES{7,ibox} - 1;
  plot([x_left, x_right],ilevel * [    1,   1],'b',...
       [x_left, x_left ],ilevel + [-0.02,0.02],'b',...
       [x_right,x_right],ilevel + [-0.02,0.02],'b')
  text(0.5*(x_left+x_right),ilevel-0.2,sprintf('%3d (%4d)',ibox,NODES{7,ibox}))
  hold on
end
axis ij
hold off
