function OMNI_print_average_ranks(NODES)

fprintf(1,'====== Computing average ranks:\n')

nboxes  = size(NODES,2);
nlevels = NODES{2,nboxes};

level_list = zeros(1,nlevels);

ilevel = 0;
for ibox = 2:nboxes
  if ~(NODES{2,ibox} == ilevel)
    ilevel = NODES{2,ibox};
    level_list(ilevel) = ibox;
  end
end
  
fprintf(1,'    level     average rank\n')
for ilevel = 1:(nlevels-1)
  nboxes_level = level_list(ilevel+1) - level_list(ilevel);
  ksum = 0;
  for ibox = level_list(ilevel) - 1 + (1:nboxes_level)
    ksum = ksum + NODES{9,ibox};
  end
  fprintf(1,'      %3d          %7.2f\n',ilevel,ksum/nboxes_level)
end
nboxes_level = nboxes - level_list(nlevels) + 1;
ksum = 0;
for ibox = level_list(nlevels) - 1 + (1:nboxes_level)
  ksum = ksum + NODES{9,ibox};
end
fprintf(1,'      %3d          %7.2f\n',nlevels,ksum/nboxes_level)

return
    
